# y-axis labels
_Y_LABS_DAILY = {
    "prec": r"$PREC$ [mm $day^{-1}$]",
    "int_prec": r"$INT$ [mm $day^{-1}$]",
    "prec_corr": r"$PREC_{corr}$ [mm $day^{-1}$]",
    "q_snow": r"$q_{snow}$ [mm $day^{-1}$]",
    "q_hof": r"$q_{hof}$ [mm $day^{-1}$]",
    "q_sof": r"$q_{sof}$ [mm $day^{-1}$]",
    "q_sub": r"$q_{sub}$ [mm $day^{-1}$]",
    "q_sub_mp": r"$q_{sub-mp}$ [mm $day^{-1}$]",
    "q_sub_mat": r"$q_{sub-mat}$ [mm $day^{-1}$]",
    "aet": r"$AET$ [mm $day^{-1}$]",
    "transp": r"$TRANSP$ [mm $day^{-1}$]",
    "evap_sur": r"$EVAP_{sur}$ [mm $day^{-1}$]",
    "evap_soil": r"$EVAP_{soil}$ [mm $day^{-1}$]",
    "cpr_rz": r"$CPR$ [mm $day^{-1}$]",
    "cpr_ss": r"$CPR_{gw}$ [mm $day^{-1}$]",
    "q_ss": r"$PERC$ [mm $day^{-1}$]",
    "q_re": r"$RE_{gw}$ [mm $day^{-1}$]",
    "perc": r"$PERC$ [mm $day^{-1}$]",
    "inf": r"$INF$ [mm $day^{-1}$]",
    "inf_in": r"$INF$ [mm $day^{-1}$]",
    "inf_mat": r"$INF_{mat}$ [mm $day^{-1}$]",
    "inf_mp": r"$INF_{mp}$ [mm $day^{-1}$]",
    "inf_sc": r"$INF_{sc}$ [mm $day^{-1}$]",
    "dS": r"$\Delta$$S$ [mm $day^{-1}$]",
    "S": r"$S$ [mm]",
    "theta": r"$\theta$ [-]",
    "theta_rz": r"$\theta_{roots}$ [-]",
    "theta_ss": r"$\theta_{subsoil}$ [-]",
    "S_snow": r"$S_{snow}$ [mm]",
    "S_s": r"$S_s$ [mm]",
    "S_vad": r"$S_{vad}$ [mm]",
    "ta": r"$TA$ [degC]",
    "z_root": r"$z_{root}$ [mm]",
    "ground_cover": r"GC [-]",
}

_Y_LABS_HOURLY = {
    "prec": r"$PREC$ [mm $hour^{-1}$]",
    "prec_corr": r"$PREC_{corr}$ [mm $hour^{-1}$]",
    "q_hof": r"$q_{hof}$ [mm $hour^{-1}$]",
    "q_sof": r"$q_{sof}$ [mm $hour^{-1}$]",
    "q_sub": r"$q_{sub}$ [mm $hour^{-1}$]",
    "q_sub_mp": r"$q_{sub-mp}$ [mm $hour^{-1}$]",
    "q_sub_mat": r"$q_{sub-mat}$ [mm $hour^{-1}$]",
    "aet": r"$AET$ [mm $hour^{-1}$]",
    "transp": r"$TRANSP$ [mm $hour^{-1}$]",
    "evap_soil": r"$EVAP_{soil}$ [mm $hour^{-1}$]",
    "q_ss": r"$PERC$ [mm $hour^{-1}$]",
    "inf": r"$INF$ [mm $hour^{-1}$]",
    "inf_mat": r"$INF_{mat}$ [mm $hour^{-1}$]",
    "inf_mp": r"$INF_{mp}$ [mm $hour^{-1}$]",
    "inf_sc": r"$INF_{sc}$ [mm $hour^{-1}$]",
    "dS": r"$\Delta$$S$ [mm $hour^{-1}$]",
    "S": r"$S$ [mm]",
    "theta": r"$\theta$ [-]",
    "theta_rz": r"$\theta_{roots}$ [-]",
    "theta_ss": r"$\theta_{subsoil}$ [-]",
    "S_snow": r"$S_{snow}$ [mm]",
    "S_s": r"$S_s$ [mm]",
}

_Y_LABS_10mins = {
    "prec": r"$PREC$ [mm $10 mins^{-1}$]",
    "prec_corr": r"$PREC_{corr}$ [mm $10 mins^{-1}$]",
    "q_hof": r"$q_{hof}$ [mm $10 mins^{-1}$]",
    "q_sof": r"$q_{sof}$ [mm $10 mins^{-1}$]",
    "q_sub": r"$q_{sub}$ [mm $10 mins^{-1}$]",
    "q_sub_mp": r"$q_{sub-mp}$ [mm $10 mins^{-1}$]",
    "q_sub_mat": r"$q_{sub-mat}$ [mm $10 mins^{-1}$]",
    "aet": r"$ET$ [mm $10 mins^{-1}$]",
    "transp": r"$TRANSP$ [mm $10 mins^{-1}$]",
    "evap_soil": r"$EVAP_{soil}$ [mm $10 mins^{-1}$]",
    "q_ss": r"$PERC$ [mm $10 mins^{-1}$]",
    "inf": r"$INF$ [mm $10 mins^{-1}$]",
    "inf_mat": r"$INF_{mat}$ [mm $10 mins^{-1}$]",
    "inf_mp": r"$INF_{mp}$ [mm $10 mins^{-1}$]",
    "inf_sc": r"$INF_{sc}$ [mm $10 mins^{-1}$]",
    "dS": r"$\Delta$$S$ [mm $10 mins^{-1}$]",
    "S": r"$S$ [mm]",
    "theta": r"$\theta$ [-]",
    "theta_rz": r"$\theta_{roots}$ [-]",
    "theta_ss": r"$\theta_{subsoil}$ [-]",
    "S_snow": r"$S_{snow}$ [mm]",
    "S_s": r"$S_s$ [mm]",
}

# ticklabels
_TICKLABS = {
    "prec": r"$PREC$",
    "prec_corr": r"$PREC_{corr}$",
    "int_prec": r"$INT$",
    "q_hof": r"$q_{hof}$",
    "q_sof": r"$q_{sof}$",
    "q_sub": r"$q_{sub}$",
    "q_sub_mp": r"$q_{sub-mp}$",
    "q_sub_mat": r"$q_{sub-mat}$",
    "pet": r"$PET$",
    "aet": r"$AET$",
    "transp": r"$TRANSP$",
    "evap_int": r"$EVAP_{int}$",
    "evap_sur": r"$EVAP_{sur}$",
    "evap_soil": r"$EVAP_{soil}$",
    "q_ss": r"$PERC$",
    "cpr_ss": r"$CPR$",
    "inf_in": r"$INF_{in}$",
    "inf": r"$INF$",
    "inf_mat": r"$INF_{mat}$",
    "inf_mp": r"$INF_{mp}$",
    "inf_sc": r"$INF_{sc}$",
    "dS": r"$\Delta$$S$]",
    "S": r"$S$",
    "theta": r"$\theta$",
    "theta_rz": r"$\theta_{roots}$",
    "theta_ss": r"$\theta_{subsoil}$",
    "S_snow": r"$S_{snow}$",
    "S_s": r"$S_s$",
    "q_snow": r"$q_{snow}$",
    "c1_mak": r"$c1_{PET}$",
    "c2_mak": r"$c2_{PET}$",
    "frac_lp": r"$f_{lp}$",
    "frac_fp": r"$f_{fp}$",
    "theta_eff": r"$\theta_{eff}$",
    "theta_pwp": r"$\theta_{pwp}$",
    "ks": r"$k_{s}$",
    "lmpv": r"$l_{mpv}$ [mm]",
    "dmpv": r"$\rho_{mpv}$ [1/$m^2$]",
    "b_evap_soil": r"$b_{evap}$",
    "a_transp": r"$a_{transp}$",
    "a1_transp": r"$a_{1-transp}$",
    "a2_transp": r"$a_{2-transp}$",
    "b_transp": r"$b_{transp}$",
    "b1_transp": r"$b_{1-transp}$",
    "b2_transp": r"$b_{2-transp}$",
    "a_q_rz": r"$a_{perc_{rz}}$",
    "a1_q_rz": r"$a_{1-perc_{rz}}$",
    "a2_q_rz": r"$a_{2-perc_{rz}}$",
    "b_q_rz": r"$b_{perc_{rz}}$",
    "b1_q_rz": r"$b1_{perc_{rz}}$",
    "b2_q_rz": r"$b2_{perc_{rz}}$",
    "a_q_ss": r"$a_{perc_{ss}}$",
    "a1_q_ss": r"$a_{1-perc_{ss}}$",
    "a2_q_ss": r"$a_{2-perc_{ss}}$",
    "b_q_ss": r"$b_{perc_{ss}}$",
    "b1_q_ss": r"$b_{1-perc_{ss}}$",
    "b2_q_ss": r"$b_{2-perc_{ss}}$",
    "ab_transp": r"$a-b_{transp}$",
    "ab_q_rz": r"$a-b_{perc_{rz}}$",
    "ab_q_ss": r"$a-b_{perc_{ss}}$",
    "c_transp": r"$c_{transp}$",
    "c_q_rz": r"$c_{perc_{rz}}$",
    "c_q_ss": r"$c_{perc_{ss}}$",
    "k_evap_soil": r"$k_{evap}$",
    "k_transp": r"$k_{transp}$",
    "k_q_rz": r"$k_{perc_{rz}}$",
    "k_q_ss": r"$k_{perc_{ss}}$",
    "k1_transp": r"$k_{1-transp}$",
    "k1_q_rz": r"$k_{1-perc_{rz}}$",
    "k1_q_ss": r"$k_{1-perc_{ss}}$",
    "k2_transp": r"$k_{2-transp}$",
    "k2_q_rz": r"$k_{2-perc_{rz}}$",
    "k2_q_ss": r"$k_{2-perc_{ss}}$",
}

_Y_LABS_CUM = {
    "prec": r"$PREC$ [mm]",
    "prec_corr": r"$PREC_{corr}$ [mm]",
    "aet": r"$AET$ [mm]",
    "transp": r"$TRANSP$ [mm]",
    "evap_soil": r"$EVAP_{soil}$ [mm]",
    "evap_sur": r"$EVAP_{sur}$ [mm]",
    "q_ss": r"$PERC$ [mm]",
    "perc": r"$PERC$ [mm]",
    "cpr_ss": r"$CPR$ [mm]",
    "dS": r"$\Delta$$S$ [mm]",
    "S": r"$S$ [mm]",
    "theta": r"$\theta$ [-]",
    "theta_rz": r"$\theta_{roots}$ [-]",
    "theta_ss": r"$\theta_{subsoil}$ [-]",
    "q_hof": r"$q_{hof}$ [mm]",
    "q_sof": r"$q_{sof}$ [mm]",
    "q_sub": r"$q_{sub}$ [mm]",
    "q_sub_mp": r"$q_{sub-mp}$ [mm]",
    "q_sub_mat": r"$q_{sub-mat}$ [mm]",
    "inf": r"$INF$ [mm]",
    "inf_mat": r"$INF_{mat}$ [mm]",
    "inf_mp": r"$INF_{mp}$ [mm]",
    "inf_sc": r"$INF_{sc}$ [mm]",
}

_LABS = {
    "S_int_top": r"$S_{int-top}$ [mm]",
    "S_int_ground": r"$S_{int-ground}$ [mm]",
    "S_dep": r"$S_{dep}$ [mm]",
    "S_sur": r"$S_{sur}$ [mm]",
    "swe_top": r"$SWE_{top}$ [mm]",
    "swe_ground": r"$SWE_{ground}$ [mm]",
    "swe": r"SWE [mm]",
    "S_snow": r"$S_{snow}$ [mm]",
    "S": r"$S$ [mm]",
    "S_s": r"$S_{soil}$ [mm]",
    "theta": r"$\theta_{s}$ [-]",
    "S_rz": r"$S_{rz}$ [mm]",
    "theta_rz": r"$\theta_{rz}$ [-]",
    "S_ss": r"$S_{ss}$ [mm]",
    "theta_ss": r"$\theta_{ss}$ [-]",
    "S_vad": r"$S_{vad}$ [mm]",
    "S_vad_tot": r"$S_{vad-tot}$ [mm]",
    "S_gw": r"$S_{gw}$ [mm]",
    "dS_sur": r"$\Delta S_{sur}$ [mm $dt^{-1}$]",
    "dS_snow": r"$\Delta S_{snow}$ [mm $dt^{-1}$]",
    "dS": r"$\Delta S_{s}$ [mm $dt^{-1}$]",
    "dS_rz": r"$\Delta S_{rz}$ [mm $dt^{-1}$]",
    "dS_ss": r"$\Delta S_{ss}$ [mm $dt^{-1}$]",
    "dS_vad": r"$\Delta S_{vad}$ [mm $dt^{-1}$]",
    "dS_gw": r"$\Delta S_{gw}$ [mm $dt^{-1}$]",
    "dz_sat": r"$\Delta z_{sat}$ [mm]",
    "dz_sat_rz": r"$\Delta z_{rz-sat}$ [mm]",
    "dz_sat_ss": r"$\Delta z_{ss-sat}$ [mm]",
    "z0": r"$z_{0}$ [mm]",
    "z_sat": r"$z_{sat}$ [mm]",
    "y_mp": r"$y_{mp}$ [mm]",
    "z_sc": r"$z_{sc}$ [mm]",
    "y_sc": r"$y_{sc}$ [mm]",
    "z_wf": r"$z_{wf}$ [mm]",
    "z_soil": r"$z_{soil}$ [mm]",
    "z_wf_t0": r"$z_{wf}(t_0)$ [mm]",
    "z_wf_t1": r"$z_{wf}(t_1)$ [mm]",
    "z_sat_rz": r"$z_{sat-rz}$ [mm]",
    "z_sat_ss": r"$z_{sat-ss}$ [mm]",
    "z_sat": r"$z_{sat}$ [mm]",
    "z_gw": r"$z_{gw}$ [m]",
    "z_root": r"$z_{root}$ [mm]",
    "z_root_crop": r"$z_{root}$ [mm]",
    "theta_d": r"$\theta_{d}$ [-]",
    "theta_d_t0": r"$\theta_{d}(t_0)$ [-]",
    "theta_d_t1": r"$\theta_{d}(t_1)$ [-]",
    "theta_d_t1": r"$\theta_{d}(t_1)$ [-]",
    "ground_cover": r"ground cover [-]",
    "ground_cover_crop": r"ground cover [-]",
    "veg_height": r"$height_{crops}$ [mm]",
    "basal_crop_coeff": r"$k_{cb}$ [-]",
    "gdd": r"GDD",
    "lu_id": r"# land use/land cover",
    "crop_type": r"# crop type",
    "transp_coeff": r"$T_{coeff}$ [-]",
    "evap_coeff": r"$E_{coeff}$ [-]",
    "transp_coeff_crop": r"$T_{coeff}$ [-]",
    "evap_coeff_crops": r"$E_{coeff}$ [-]",
    "c1_mak": r"$c1_{PET}$ [-]",
    "c2_mak": r"$c2_{PET}$ [-]",
    "frac_lp": r"$f_{lp}$ [-]",
    "frac_fp": r"$f_{fp}$ [-]",
    "theta_eff": r"$\theta_{eff}$ [-]",
    "theta_ac": r"$\theta_{ac}$ [-]",
    "theta_ufc": r"$\theta_{ufc}$ [-]",
    "theta_pwp": r"$\theta_{pwp}$ [-]",
    "ks": r"$k_{s}$ [mm/hour]",
    "kf": r"$k_{f}$ [mm/hour]",
    "lmpv": r"$l_{mpv}$ [mm]",
    "dmpv": r"$\rho_{mpv}$ [1/$m^2$]",
    "b_evap_soil": r"$b_{evap}$ [-]",
    "a_transp": r"$a_{transp}$ [-]",
    "a1_transp": r"$a_{1-transp}$ [-]",
    "a2_transp": r"$a_{2-transp}$ [-]",
    "b_transp": r"$b_{transp}$ [-]",
    "b1_transp": r"$b_{1-transp}$ [-]",
    "b2_transp": r"$b_{2-transp}$ [-]",
    "c_transp": r"$c_{transp}$ [-]",
    "c1_transp": r"$c_{1-transp}$ [-]",
    "c2_transp": r"$c_{2-transp}$ [-]",
    "a_q_rz": r"$a_{perc_{rz}}$ [-]",
    "a1_q_rz": r"$a_{1-perc_{rz}}$ [-]",
    "a2_q_rz": r"$a_{2-perc_{rz}}$ [-]",
    "b_q_rz": r"$b_{perc_{rz}}$ [-]",
    "b1_q_rz": r"$b1_{perc_{rz}}$ [-]",
    "b2_q_rz": r"$b2_{perc_{rz}}$ [-]",
    "c_q_rz": r"$c_{perc_{rz}}$ [-]",
    "c1_q_rz": r"$c_{1-perc_{rz}}$ [-]",
    "c2_q_rz": r"$c_{2-perc_{rz}}$ [-]",
    "a_q_ss": r"$a_{perc_{ss}}$ [-]",
    "a1_q_ss": r"$a_{1-perc_{ss}}$ [-]",
    "a2_q_ss": r"$a_{2-perc_{ss}}$ [-]",
    "b_q_ss": r"$b_{perc_{ss}}$ [-]",
    "b1_q_ss": r"$b_{1-perc_{ss}}$ [-]",
    "b2_q_ss": r"$b_{2-perc_{ss}}$ [-]",
    "c_q_ss": r"$c_{perc_{ss}}$ [-]",
    "c1_q_ss": r"$c_{1-perc_{ss}}$ [-]",
    "c2_q_ss": r"$c_{2-perc_{ss}}$ [-]",
    "ab_transp": r"$a-b_{transp}$ [-]",
    "ab_q_rz": r"$a-b_{perc_{rz}}$ [-]",
    "ab_q_ss": r"$a-b_{perc_{ss}}$ [-]",
    "k_evap_soil": r"$k_{evap}$ [-]",
    "k_transp": r"$k_{transp}$ [-]",
    "k_q_rz": r"$k_{perc_{rz}}$ [-]",
    "k_q_ss": r"$k_{perc_{ss}}$ [-]",
    "k1_transp": r"$k_{1-transp}$ [-]",
    "k1_q_rz": r"$k_{1-perc_{rz}}$ [-]",
    "k1_q_ss": r"$k_{1-perc_{ss}}$ [-]",
    "k2_transp": r"$k_{2-transp}$ [-]",
    "k2_q_rz": r"$k_{2-perc_{rz}}$ [-]",
    "k2_q_ss": r"$k_{2-perc_{ss}}$ [-]",
    "crop_scale_536": r"$scale_{beetroot}$ [-]",
    "crop_scale_539": r"$scale_{silage-corn}$ [-]",
    "crop_scale_556": r"$scale_{winter-barley}$ [-]",
    "crop_scale_557": r"$scale_{winter-wheat}$ [-]",
    "crop_scale_559": r"$scale_{winter-rape}$ [-]",
    "crop_scale_560": r"$scale_{winter-triticale}$ [-]",
    "crop_scale_563": r"$scale_{sugar-beet}$ [-]",
    "crop_scale_564": r"$scale_{green-manure}$ [-]",
    "crop_scale_565": r"$scale_{summer-grass}$ [-]",
    "crop_scale_566": r"$scale_{winter-grass}$ [-]",
    "crop_scale_572": r"$scale_{winter-grass}$ [-]",
    "crop_scale_573": r"$scale_{summer-grass}$ [-]",
    "crop_scale_574": r"$scale_{winter-grass}$ [-]",
    "crop_scale_599": r"$scale_{bare}$ [-]",
    "crop_scale_8": r"$scale_{crop}$ [-]",
    "crop_scale_0": r"$scale_{crop}$ [-]",
    "crop_scale": r"$scale_{crop}$ [-]",
    "c_canopy_growth": r"$c_{canopy-growth}$ [-]",
    "c_root_growth": r"$c_{root-growth}$ [-]",
}

# long names of variables used for netcdf
_LONG_NAME = {
    "prec": r"Precipitation",
    "pet": r"Potential evapotranspiration",
    "ta": r"Air temperature",
    "Cl": "Chloride in precipitation",
    "Br": "Bromide in injection",
    "d2H": "Deuterium in precipitation",
    "d18O": "Oxygen-18 in precipitation",
    "Norg": "Organic nitrogen fertilizer",
    "Nmin": "Mineral nitrogen fertilizer",
}

# units of variables used for netcdf
_UNITS = {
    "prec": "mm/dt",
    "pet": "mm/dt",
    "ta": "dgC",
    "Cl": "mg/l",
    "Br": "mg",
    "d2H": "permil",
    "d18O": "permil",
    "Norg": "kg/ha",
    "Nmin": "kg/ha",
}
